#include <stdio.h>
#include <bits/stdc++.h>
using namespace std;

int main()
{
    int x1,y1,x2,y2, n=0;
    scanf("%d%d%d%d", &x1, &y1, &x2, &y2);
    if(x1==x2 || y1==y2)
        {printf("2"); n=1;}
    if(abs(x1-x2)==abs(y1-y2))
        {printf("1"); n=1;}
    if(n==0)
        printf("0");
    return 0;
}